For Developers

Create Feed Subscriber

POST https://ed.link/api/v2/teams/:team_id/applications/:application_id/subscribers

Registers a new feed subscriber. Configuration fields are validated according to the specified transport type.

Permissions

Requires the feed_subscribers.create system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:application_idUUIDYesThe ID of the application.

Request Body

PropertyTypeRequiredDescription
nameStringYesNon-blank label for the subscriber.
typeStringYesTransport type: webhook, aws_sqs, azure_storage_queue, or google_pubsub.
stateStringYesactive or inactive.
eventsArrayYesArray of event type strings to subscribe to.
configurationObjectYesTransport configuration payload (e.g. url, secret).

Sample Request

const response = await axios.post(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/subscribers`,
    {
        name: 'Alerts Webhook',
        type: 'webhook',
        state: 'active',
        events: ['integration.created', 'materialization.completed'],
        configuration: {
            url: 'https://api.acmelearning.com/edlink/events',
            secret: 'whsec_supersecretkey'
        }
    },
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "1c7a216b-4e09-4d24-8f47-c0e815617a22",
        "name": "Alerts Webhook",
        "type": "webhook",
        "state": "active",
        "events": ["integration.created", "materialization.completed"]
    }
}